Bug 969889 - [abrt] xscreensaver-gl-extras-5.21-6.fc18: nv50_validate_scissor: Process /usr/libexec/xscreensaver/klein was killed by signal 11 (SIGSEGV)
Summary: [abrt] xscreensaver-gl-extras-5.21-6.fc18: nv50_validate_scissor: Process /us...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
(Show other bugs)
Version: 18
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:780132e6e617d1021cc599190cd...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-02 23:02 UTC by Random User
Modified: 2014-02-05 21:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 21:38:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.50 KB, text/plain)
2013-06-02 23:02 UTC, Random User
no flags Details
File: cgroup (128 bytes, text/plain)
2013-06-02 23:02 UTC, Random User
no flags Details
File: core_backtrace (1.31 KB, text/plain)
2013-06-02 23:02 UTC, Random User
no flags Details
File: dso_list (3.06 KB, text/plain)
2013-06-02 23:02 UTC, Random User
no flags Details
File: environ (1.62 KB, text/plain)
2013-06-02 23:03 UTC, Random User
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-02 23:03 UTC, Random User
no flags Details
File: maps (15.38 KB, text/plain)
2013-06-02 23:03 UTC, Random User
no flags Details
File: open_fds (242 bytes, text/plain)
2013-06-02 23:03 UTC, Random User
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-06-02 23:03 UTC, Random User
no flags Details
File: var_log_messages (329 bytes, text/plain)
2013-06-02 23:03 UTC, Random User
no flags Details

Description Random User 2013-06-02 23:02:20 UTC
Version-Release number of selected component:
xscreensaver-gl-extras-5.21-6.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        klein -root
crash_function: nv50_validate_scissor
executable:     /usr/libexec/xscreensaver/klein
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 nv50_validate_scissor at nv50_state_validate.c:155
 #1 nv50_state_validate at nv50_state_validate.c:394
 #2 nv50_blit_3d at nv50_surface.c:944
 #3 nv50_blit at nv50_surface.c:1280
 #4 st_TexSubImage at ../../src/mesa/state_tracker/st_cb_texture.c:783
 #5 st_TexImage at ../../src/mesa/state_tracker/st_cb_texture.c:813
 #7 teximage at ../../src/mesa/main/teximage.c:3155
 #8 _mesa_TexImage2D at ../../src/mesa/main/teximage.c:3194
 #9 gen_texture at ../../../hacks/glx/klein.c:1445
 #10 init at ../../../hacks/glx/klein.c:1519

Comment 1 Random User 2013-06-02 23:02:33 UTC
Created attachment 756133 [details]
File: backtrace

Comment 2 Random User 2013-06-02 23:02:42 UTC
Created attachment 756134 [details]
File: cgroup

Comment 3 Random User 2013-06-02 23:02:49 UTC
Created attachment 756135 [details]
File: core_backtrace

Comment 4 Random User 2013-06-02 23:02:58 UTC
Created attachment 756136 [details]
File: dso_list

Comment 5 Random User 2013-06-02 23:03:06 UTC
Created attachment 756137 [details]
File: environ

Comment 6 Random User 2013-06-02 23:03:14 UTC
Created attachment 756138 [details]
File: limits

Comment 7 Random User 2013-06-02 23:03:27 UTC
Created attachment 756139 [details]
File: maps

Comment 8 Random User 2013-06-02 23:03:34 UTC
Created attachment 756140 [details]
File: open_fds

Comment 9 Random User 2013-06-02 23:03:42 UTC
Created attachment 756141 [details]
File: proc_pid_status

Comment 10 Random User 2013-06-02 23:03:54 UTC
Created attachment 756142 [details]
File: var_log_messages

Comment 11 Mamoru TASAKA 2013-06-03 00:17:12 UTC
Once switching to mesa.

Comment 12 Fedora End Of Life 2013-12-21 13:50:02 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2014-02-05 21:38:31 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.